%define srcname greenlet

Name:		python-greenlet
Version:	0.4.2
Release:	%mkrel 2
Summary:	A spin-off of Stackless
License:	MIT
Group:		System/Libraries
Url:		http://pypi.python.org/pypi/greenlet
Source0:	http://pypi.python.org/packages/source/g/%{srcname}/%{srcname}-%{version}.zip
BuildRequires:	glibc-devel
BuildRequires:	python-devel
BuildRequires:  python-setuptools

%description
The greenlet package is a spin-off of Stackless, a version of CPython that
supports micro-threads called "tasklets".

%package -n python3-greenlet
Summary:	A spin-off of Stackless
Group:		System/Libraries
BuildRequires:	python3-devel
BuildRequires:  python3-setuptools

%description -n python3-greenlet
The greenlet package is a spin-off of Stackless, a version of CPython that
supports micro-threads called "tasklets".

%prep
%setup -q -n %{srcname}-%{version}
cp -a . %{py3dir} 

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install --skip-build --prefix=%{_prefix} --root=%{buildroot} 
popd

%{__python} setup.py install --skip-build --prefix=%{_prefix} --root=%{buildroot}

%check
# Run the upstream test suite:
%{__python} setup.py test

pushd %{py3dir}
%{__python3} setup.py test
popd

%files
%{_includedir}/python2.7/%{srcname}
%{python_sitearch}/%{srcname}*

%files -n python3-greenlet
%{_includedir}/python3.*/%{srcname}
%{python3_sitearch}/%{srcname}*


%changelog
* Sun Jan 11 2015 pinoc <vogtpet at gmail.com> 0.4.2-2pclos2015
- rebuild on python 3.4.2

* Tue Sep 23 2014 pinoc <vogtpet at gmail.com> 0.4.2-1pclos2014
- imported package
